Bug 150323 - CAN-2005-0761 Bug in parsing PSD files
Summary: CAN-2005-0761 Bug in parsing PSD files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=low,public=20040609,source=ven...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 16:46 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 10:07:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (9.37 KB, patch)
2005-03-04 16:49 UTC, Josh Bressers
no flags Details | Diff
Demo exploit for this issue. (137.58 KB, application/octet-stream)
2005-03-04 16:49 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:070 moderate SHIPPED_LIVE Moderate: ImageMagick security update 2005-03-23 05:00:00 UTC

Description Josh Bressers 2005-03-04 16:46:26 UTC
This issue consists of two bugs:

- conversion from and to quantum, it probably worked only for quantumdepth=8,
  but ImageMagick was compiled with quantumdepth=16.
  The attached patch fixes it.

- The function ReadBlobByte returns values in range 0-255 or (int)-1 on EOF.
  The return value -1 is not checked on many places. The patch
  adds some type conversion, so that it does not crash on issue3.psd.
  However it could crash elsewhere.

Comment 1 Josh Bressers 2005-03-04 16:48:32 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2005-03-04 16:49:06 UTC
Created attachment 111669 [details]
Proposed patch for this issue.

Comment 3 Josh Bressers 2005-03-04 16:49:58 UTC
Created attachment 111670 [details]
Demo exploit for this issue.

Comment 4 Matthias Clasen 2005-03-17 21:48:50 UTC
This is covered by RHSA-2005:070-09

Comment 5 Mark J. Cox 2005-03-23 10:07:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-070.html



Note You need to log in before you can comment on or make changes to this bug.